リンク
GET https://aka.so/api/links/
curl --request GET \
--url 'https://aka.so/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://aka.so/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| パラメーター | 詳細 | 説明 |
|---|---|---|
| search | 任意 文字列 | 検索文字列 |
| search_by | 任意 文字列 | 検索対象のフィールドを指定してください。指定可能な値は url, location_url です。 |
| is_enabled | 任意 真偽値 | |
| type | 任意 文字列 |
biolink, link |
| datetime_field | 任意 文字列 | 有効な値: datetime, last_datetime |
| datetime_start | 任意 文字列 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 任意 文字列 | この日時までの結果をフィルタリングします。Y-m-d H:i:s 形式。 |
| order_by | 任意 文字列 | 結果を並べ替えるフィールド。指定可能な値: link_id, datetime, last_datetime, clicks, url |
| order_type | 任意 文字列 | 結果のソート順。指定可能な値は、昇順の場合はASC、降順の場合はDESCです。 |
| page | 任意 整数 | 結果を取得するページ番号。デフォルトは1です。 |
| results_per_page | 任意 整数 | 1ページあたりの表示件数。指定可能な値: 10, 25, 50, 100, 250, 500, 1000。デフォルト値: 25。 |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-10-18 08:49:20",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://aka.so/api/links?page=1",
"last": "https://aka.so/api/links?page=1",
"next": null,
"prev": null,
"self": "https://aka.so/api/links?page=1"
}
}
GET https://aka.so/api/links/{link_id}
curl --request GET \
--url 'https://aka.so/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://aka.so/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-10-18 08:49:20",
}
}
POST https://aka.so/api/links
| パラメーター | 詳細 | 説明 |
|---|---|---|
| type | 任意 文字列 | link |
| location_url | 必須 文字列 | 遷移先のURL利用可能: is_bulk = 0 |
| location_urls | 必須 文字列 | 遷移先のURL利用可能: is_bulk = 1 |
| url | 任意 文字列 | 生成されたリンクのURLエイリアス。空欄にするとランダムに生成されます。利用可能: is_bulk = 0 |
| is_bulk | 任意 真偽値 | |
| domain_id | 任意 整数 | - |
| project_id | 任意 整数 | - |
| pixels_ids | 任意 配列 整数 | - |
| email_reports | 任意 配列 | 通知ハンドラーID |
| schedule | 任意 真偽値 | - |
| start_date | 任意 文字列 | 利用可能: schedule = true |
| end_date | 任意 文字列 | 利用可能: schedule = true |
| clicks_limit | 任意 整数 | - |
| expiration_url | 任意 文字列 | - |
| sensitive_content | 任意 真偽値 | - |
| http_status_code | 任意 整数 | 有効な値: 301, 302, 307, 308 |
| app_linking_is_enabled | 任意 真偽値 | - |
| cloaking_is_enabled | 任意 真偽値 | - |
| cloaking_title | 任意 文字列 | - |
| cloaking_meta_description | 任意 文字列 | - |
| cloaking_custom_js | 任意 文字列 | - |
| cloaking_favicon | 任意 ファイル | - |
| cloaking_opengraph | 任意 ファイル | - |
| password | 任意 文字列 | - |
| forward_query_parameters_is_enabled | 任意 真偽値 | - |
| seo_block | 任意 真偽値 | - |
| utm_source | 任意 文字列 | - |
| utm_medium | 任意 文字列 | - |
| utm_campaign | 任意 文字列 | - |
| targeting_type | 任意 文字列 | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | 任意 文字列 | 利用可能: targeting_type = continent_code |
| targeting_continent_code_value[index] | 任意 文字列 | 利用可能: targeting_type = continent_code |
| targeting_country_code_key[index] | 任意 文字列 | 利用可能: targeting_type = country_code |
| targeting_country_code_value[index] | 任意 文字列 | 利用可能: targeting_type = country_code |
| targeting_city_name_key[index] | 任意 文字列 | 利用可能: targeting_type = city_name |
| targeting_city_name_value[index] | 任意 文字列 | 利用可能: targeting_type = city_name |
| targeting_device_type_key[index] | 任意 文字列 | 利用可能: targeting_type = device_type |
| targeting_device_type_value[index] | 任意 文字列 | 利用可能: targeting_type = device_type |
| targeting_browser_language_key[index] | 任意 文字列 | 利用可能: targeting_type = browser_language |
| targeting_browser_language_value[index] | 任意 文字列 | 利用可能: targeting_type = browser_language |
| targeting_rotation_key[index] | 任意 文字列 | 利用可能: targeting_type = rotation |
| targeting_rotation_value[index] | 任意 文字列 | 利用可能: targeting_type = rotation |
| targeting_os_name_key[index] | 任意 文字列 | 利用可能: targeting_type = os_name |
| targeting_os_name_value[index] | 任意 文字列 | 利用可能: targeting_type = os_name |
| targeting_browser_name_key[index] | 任意 文字列 | 利用可能: targeting_type = browser_name |
| targeting_browser_name_value[index] | 任意 文字列 | 利用可能: targeting_type = browser_name |
curl --request POST \
--url 'https://aka.so/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://aka.so/' \
--url 'https://aka.so/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://aka.so/' \
{
"data": {
"id": 1
}
}
POST https://aka.so/api/links/{link_id}
| パラメーター | 詳細 | 説明 |
|---|---|---|
| location_url | 任意 文字列 | 遷移先のURL |
| url | 任意 文字列 | 生成されたリンクのURLエイリアス。空欄にするとランダムに生成されます。 |
| domain_id | 任意 整数 | - |
| project_id | 任意 整数 | - |
| pixels_ids | 任意 配列 整数 | - |
| email_reports | 任意 配列 | 通知ハンドラーID |
| schedule | 任意 真偽値 | - |
| start_date | 任意 文字列 | 利用可能: schedule = true |
| end_date | 任意 文字列 | 利用可能: schedule = true |
| clicks_limit | 任意 整数 | - |
| expiration_url | 任意 文字列 | - |
| sensitive_content | 任意 真偽値 | - |
| http_status_code | 任意 整数 | 有効な値: 301, 302, 307, 308 |
| app_linking_is_enabled | 任意 真偽値 | - |
| cloaking_is_enabled | 任意 真偽値 | - |
| cloaking_title | 任意 文字列 | - |
| cloaking_meta_description | 任意 文字列 | - |
| cloaking_custom_js | 任意 文字列 | - |
| cloaking_favicon | 任意 ファイル | - |
| cloaking_opengraph | 任意 ファイル | - |
| password | 任意 文字列 | - |
| forward_query_parameters_is_enabled | 任意 真偽値 | - |
| seo_block | 任意 真偽値 | - |
| utm_source | 任意 文字列 | - |
| utm_medium | 任意 文字列 | - |
| utm_campaign | 任意 文字列 | - |
| targeting_type | 任意 文字列 | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | 任意 文字列 | 利用可能: targeting_type = continent_code |
| targeting_continent_code_value[index] | 任意 文字列 | 利用可能: targeting_type = continent_code |
| targeting_country_code_key[index] | 任意 文字列 | 利用可能: targeting_type = country_code |
| targeting_country_code_value[index] | 任意 文字列 | 利用可能: targeting_type = country_code |
| targeting_city_name_key[index] | 任意 文字列 | 利用可能: targeting_type = city_name |
| targeting_city_name_value[index] | 任意 文字列 | 利用可能: targeting_type = city_name |
| targeting_device_type_key[index] | 任意 文字列 | 利用可能: targeting_type = device_type |
| targeting_device_type_value[index] | 任意 文字列 | 利用可能: targeting_type = device_type |
| targeting_browser_language_key[index] | 任意 文字列 | 利用可能: targeting_type = browser_language |
| targeting_browser_language_value[index] | 任意 文字列 | 利用可能: targeting_type = browser_language |
| targeting_rotation_key[index] | 任意 文字列 | 利用可能: targeting_type = rotation |
| targeting_rotation_value[index] | 任意 文字列 | 利用可能: targeting_type = rotation |
| targeting_os_name_key[index] | 任意 文字列 | 利用可能: targeting_type = os_name |
| targeting_os_name_value[index] | 任意 文字列 | 利用可能: targeting_type = os_name |
| targeting_browser_name_key[index] | 任意 文字列 | 利用可能: targeting_type = browser_name |
| targeting_browser_name_value[index] | 任意 文字列 | 利用可能: targeting_type = browser_name |
| is_enabled | 任意 真偽値 | - |
curl --request POST \
--url 'https://aka.so/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://aka.so/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://aka.so/api/links/{link_id}
curl --request DELETE \
--url 'https://aka.so/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://aka.so/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \